Index: rubycfg_asp/trunk/asp_dcre/tinet/netinet/udpn_subr.c
===================================================================
--- rubycfg_asp/trunk/asp_dcre/tinet/netinet/udpn_subr.c	(revision 314)
+++ rubycfg_asp/trunk/asp_dcre/tinet/netinet/udpn_subr.c	(revision 315)
@@ -5,39 +5,27 @@
  *                   Tomakomai National College of Technology, JAPAN
  *
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã® (1)ï½(4) ã®æ¡ä»¶ãï¼Free Software Foundation 
- *  ã«ãã£ã¦å
-¬è¡¨ããã¦ãã GNU General Public License ã® Version 2 ã«è¨
- *  è¿°ããã¦ããæ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§ã¢ï¼æ¬ã½ããã¦ã§ã¢
- *  ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼
- *  å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®æ¡ä»¶ãæºãããã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の (1)～(4) の条件か，Free Software Foundation 
+ *  によって公表されている GNU General Public License の Version 2 に記
+ *  述されている条件を満たす場合に限り，本ソフトウェア（本ソフトウェア
+ *  を改変したものを含む．以下同じ）を使用・複製・改変・再配布（以下，
+ *  利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次の条件を満たすこと．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
  *
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ãã®é©ç¨å¯è½æ§ã
- *  å«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´
- *  æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ãã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，その適用可能性も
+ *  含めて，いかなる保証も行わない．また，本ソフトウェアの利用により直
+ *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
  *  @(#) $Id$
@@ -78,5 +66,5 @@
 
 /*
- *  udp_alloc_auto_port -- èªåå²ãå½ã¦ãã¼ãçªå·ãè¨­å®ããã
+ *  udp_alloc_auto_port -- 自動割り当てポート番号を設定する。
  */
 
@@ -114,5 +102,5 @@
 
 /*
- *  udp_alloc_port -- æå®ããããã¼ãçªå·ãè¨­å®ããã
+ *  udp_alloc_port -- 指定されたポート番号を設定する。
  */
 
@@ -134,5 +122,5 @@
 
 /*
- *  udp_find_cep -- ãã¼ãçªå·ãã UDP éä¿¡ç«¯ç¹ãå¾ãã
+ *  udp_find_cep -- ポート番号から UDP 通信端点を得る。
  */
 
@@ -146,5 +134,5 @@
 	
 	/*
-	 *  IP ã¢ãã¬ã¹ã¨ãã¼ãçªå·ãä¸è´ããéä¿¡ç«¯ç¹ãæ¢ç´¢ããã
+	 *  IP アドレスとポート番号が一致する通信端点を探索する。
 	 */
 	for (cep = &UDP_CEP[TMAX_UDP_CEPID]; cep -- != UDP_CEP; ) {
@@ -159,5 +147,5 @@
 
 /*
- *  udp_notify -- ICMP ã¨ã©ã¼ã®å¦ç
+ *  udp_notify -- ICMP エラーの処理
  */
 
Index: rubycfg_asp/trunk/asp_dcre/tinet/netinet/udpn_usrreq.c
===================================================================
--- rubycfg_asp/trunk/asp_dcre/tinet/netinet/udpn_usrreq.c	(revision 314)
+++ rubycfg_asp/trunk/asp_dcre/tinet/netinet/udpn_usrreq.c	(revision 315)
@@ -5,39 +5,27 @@
  *                   Tomakomai National College of Technology, JAPAN
  *
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã® (1)ï½(4) ã®æ¡ä»¶ãï¼Free Software Foundation 
- *  ã«ãã£ã¦å
-¬è¡¨ããã¦ãã GNU General Public License ã® Version 2 ã«è¨
- *  è¿°ããã¦ããæ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§ã¢ï¼æ¬ã½ããã¦ã§ã¢
- *  ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼
- *  å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®æ¡ä»¶ãæºãããã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ãã®é©ç¨å¯è½æ§ã
- *  å«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´
- *  æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ãã®è²¬ä»»ãè² ããªãï¼
+ *  上記著作権者は，以下の (1)～(4) の条件か，Free Software Foundation 
+ *  によって公表されている GNU General Public License の Version 2 に記
+ *  述されている条件を満たす場合に限り，本ソフトウェア（本ソフトウェア
+ *  を改変したものを含む．以下同じ）を使用・複製・改変・再配布（以下，
+ *  利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次の条件を満たすこと．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，その適用可能性も
+ *  含めて，いかなる保証も行わない．また，本ソフトウェアの利用により直
+ *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
  *  @(#) $Id$
@@ -83,5 +71,5 @@
 
 /*
- *  udp_send_data -- ãã±ããéä¿¡ã®ä¸»è¦é¨
+ *  udp_send_data -- パケット送信の主要部
  */
 
@@ -101,9 +89,9 @@
 	NET_COUNT_UDP(net_count_udp.out_packets, 1);
 
-	/* IP ãã¼ã¿ã°ã©ã å²ãå½ã¦ã®æéã tmout ããæ¸ããã*/
+	/* IP データグラム割り当ての時間を tmout から減ずる。*/
 	if (!(tmout == TMO_POL || tmout == TMO_FEVR))
 		syscall(get_tim(&before));
 
-	/* IP ãã¼ã¿ã°ã©ã ãå²ãå½ã¦ãã*/
+	/* IP データグラムを割り当てる。*/
 	if ((error = IN_GET_DATAGRAM(&output, (uint_t)(UDP_HDR_SIZE + len), 0,
 	                             &p_dstaddr->ipaddr,
@@ -113,5 +101,5 @@
 		goto err_ret;
 
-	/* IP ãã¼ã¿ã°ã©ã å²ãå½ã¦ã®æéã tmout ããæ¸ããã*/
+	/* IP データグラム割り当ての時間を tmout から減ずる。*/
 	if (!(tmout == TMO_POL || tmout == TMO_FEVR)) {
 		syscall(get_tim(&after));
@@ -124,6 +112,5 @@
 		}
 
-	/* UDP ãããã«æ
-å ±ãè¨­å®ããã*/
+	/* UDP ヘッダに情報を設定する。*/
 	udph		= GET_UDP_HDR(output, IF_IP_UDP_HDR_OFFSET(output));
 	udph->sport	= htons(cep->myaddr.portno);
@@ -132,5 +119,5 @@
 	udph->sum	= 0;
 
-	/* ãã¼ã¿ãã³ãã¼ããã*/
+	/* データをコピーする。*/
 	memcpy((void*)GET_UDP_SDU(output, IF_IP_UDP_HDR_OFFSET(output)), data, (size_t)len);
 
@@ -139,6 +126,5 @@
 	sum = IN_CKSUM(output, IPPROTO_UDP, IF_IP_UDP_HDR_OFFSET(output), (uint_t)(UDP_HDR_SIZE + len));
 
-	/* è¨ç®ãããã§ãã¯ãµã ã®å¤ã 0 ãªã 0xffff ãå
-¥ããã*/
+	/* 計算したチェックサムの値が 0 なら 0xffff を入れる。*/
 	if (sum == 0)
 		sum = 0xffff;
@@ -147,8 +133,8 @@
 #endif	/* of #ifdef UDP_CFG_OUT_CHECKSUM */
 
-	/* ãããã¯ã¼ã¯ãããã¡é·ãèª¿æ´ããã*/
+	/* ネットワークバッファ長を調整する。*/
 	output->len = (uint16_t)(IF_IP_UDP_HDR_SIZE(output) + len);
 
-	/* ãããã¯ã¼ã¯å±¤ (IP) ã®åºåé¢æ°ãå¼ã³åºãã*/
+	/* ネットワーク層 (IP) の出力関数を呼び出す。*/
 	if ((error = IP_OUTPUT(output, tmout)) == E_OK) {
 		NET_COUNT_MIB(udp_stats.udpOutDatagrams, 1);
@@ -166,7 +152,7 @@
 
 /*
- *  udp_cancel_cep -- ãã³ãã£ã³ã°ãã¦ããå¦çãã­ã£ã³ã»ã«ããã
- *
- *    udp_can_cep ããå¼åºãããã¡ã¤ã³é¢æ°
+ *  udp_cancel_cep -- ペンディングしている処理をキャンセルする。
+ *
+ *    udp_can_cep から呼出されるメイン関数
  */
 
@@ -178,16 +164,16 @@
 	ER	error = E_OK, snd_err, rcv_err;
 
-	/* UDP éä¿¡ç«¯ç¹ããã§ãã¯ããã*/
+	/* UDP 通信端点をチェックする。*/
 	if (!VALID_UDP_CEP(cep))
 		return E_NOEXS;
 
-	/* API æ©è½ã³ã¼ãããã§ãã¯ããã*/
+	/* API 機能コードをチェックする。*/
 	if (!VALID_TFN_UDP_CAN(fncd))
 		return E_PAR;
 
-	/* éä¿¡ç«¯ç¹ãã­ãã¯ããã*/
+	/* 通信端点をロックする。*/
 	syscall(wai_sem(cep->semid_lock));
 
-	if (fncd == TFN_UDP_ALL) {	/* TFN_UDP_ALL ã®å¦ç */
+	if (fncd == TFN_UDP_ALL) {	/* TFN_UDP_ALL の処理 */
 
 		snd_err = UDP_CAN_SND(cep, E_RLWAI);
@@ -195,6 +181,6 @@
 
 		/*
-		 *  snd_err ã¨ rcv_err ã®ã©ã¡ãã EV_NOPND
-		 *  ãªãããã³ãã£ã³ã°ãã¦ããªãã®ã§ã¨ã©ã¼
+		 *  snd_err と rcv_err のどちらも EV_NOPND
+		 *  なら、ペンディングしていないのでエラー
 		 */
 		if (snd_err == EV_NOPND && rcv_err == EV_NOPND)
@@ -212,9 +198,9 @@
 			}
 		}
-	else if (fncd == TFN_UDP_SND_DAT) {	/* éä¿¡å¦çã®ã­ã£ã³ã»ã« */
+	else if (fncd == TFN_UDP_SND_DAT) {	/* 送信処理のキャンセル */
 		if ((error = UDP_CAN_SND(cep, E_RLWAI)) == EV_NOPND)
 			error = E_OBJ;
 		}
-	else if (fncd == TFN_UDP_RCV_DAT) {	/* åä¿¡å¦çã®ã­ã£ã³ã»ã« */
+	else if (fncd == TFN_UDP_RCV_DAT) {	/* 受信処理のキャンセル */
 		if ((error = UDP_CAN_RCV(cep, E_RLWAI)) == EV_NOPND)
 			error = E_OBJ;
@@ -223,5 +209,5 @@
 		error = E_PAR;
 
-	/* éä¿¡ç«¯ç¹ãã­ãã¯ãè§£é¤ããã*/
+	/* 通信端点をロックを解除する。*/
 	syscall(sig_sem(cep->semid_lock));
 
@@ -236,5 +222,5 @@
 
 /*
- *  udp_can_cep -- ãã³ãã£ã³ã°ãã¦ããå¦çã®ã­ã£ã³ã»ã«ãæ¨æºæ©è½ã
+ *  udp_can_cep -- ペンディングしている処理のキャンセル【標準機能】
  */
 
@@ -246,12 +232,12 @@
 	T_UDP_CEP	*cep;
 
-	/* UDP éä¿¡ç«¯ç¹ ID ããã§ãã¯ããã*/
+	/* UDP 通信端点 ID をチェックする。*/
 	if (!VALID_UDP_CEPID(cepid))
 		return E_ID;
 
-	/* UDP éä¿¡ç«¯ç¹ãå¾ãã*/
+	/* UDP 通信端点を得る。*/
 	cep = GET_UDP_CEP(cepid);
 
-	/* ã¡ã¤ã³é¢æ°ãå¼ã³åºãã*/
+	/* メイン関数を呼び出す。*/
 	return UDP_CANCEL_CEP(cep, fncd);
 	}
@@ -264,5 +250,5 @@
 
 /*
- *  udp_cre_cep -- UDP éä¿¡ç«¯ç¹ã®çæãæ¡å¼µæ©è½ã
+ *  udp_cre_cep -- UDP 通信端点の生成【拡張機能】
  */
 
@@ -275,9 +261,9 @@
 	ER		error;
 
-	/* UDP éä¿¡ç«¯ç¹ ID ããã§ãã¯ããã*/
+	/* UDP 通信端点 ID をチェックする。*/
 	if (!VALID_UDP_CEPID(cepid))
 		return E_ID;
 
-	/* pk_ccep ã NULL ãªãã¨ã©ã¼ */
+	/* pk_ccep が NULL ならエラー */
 	if (pk_ccep == NULL)
 		return E_PAR;
@@ -286,6 +272,6 @@
 
 	/*
-	 * API ã IPv6 ã§ IPv4 å°å½±ã¢ãã¬ã¹ãèªãããã¦ããªãã®ã«ããããããã
-	 * IPv4 å°å½±ã¢ãã¬ã¹ãæå®ããããã¨ã©ã¼
+	 * API が IPv6 で IPv4 射影アドレスが認められていないのにもかかわらず、
+	 * IPv4 射影アドレスが指定されたらエラー
 	 */
 	if (in6_is_addr_ipv4mapped(&pk_ccep->myaddr.ipaddr))
@@ -294,20 +280,20 @@
 #endif	/* of #if (API_PROTO == API_PROTO_IPV6) && !defined(DAPI_CFG_IP4MAPPED_ADDR) */
 
-	/* UDP éä¿¡ç«¯ç¹ãå¾ãã*/
+	/* UDP 通信端点を得る。*/
 	cep = GET_UDP_CEP(cepid);
 
-	/* UDP éä¿¡ç«¯ç¹ããã§ãã¯ããã*/
+	/* UDP 通信端点をチェックする。*/
 	if (VALID_UDP_CEP(cep))
 		return E_OBJ;
 
-	/* UDP éä¿¡ç«¯ç¹ããåççæç¨ã§ãªããã°ã¨ã©ã¼ */
+	/* UDP 通信端点が、動的生成用でなければエラー */
 	if (!DYNAMIC_UDP_CEP(cep))
 		return E_ID;
 
-	/* éä¿¡ç«¯ç¹ãã­ãã¯ããã*/
+	/* 通信端点をロックする。*/
 	syscall(wai_sem(cep->semid_lock));
 
 	/*
-	 * UDP éä¿¡ç«¯ç¹ããã§ãã¯ãããçææ¸ã¿ã§ããã°ã¨ã©ã¼
+	 * UDP 通信端点をチェックする。生成済みであればエラー
 	 */
 	if (VALID_UDP_CEP(cep))
@@ -316,5 +302,5 @@
 
 		/*
-		 *  èªãã¼ãçªå·ã UDP_PORTANY ãªããèªåã§å²ãå½ã¦ãã
+		 *  自ポート番号が UDP_PORTANY なら、自動で割り当てる。
 		 */
 		if (pk_ccep->myaddr.portno == UDP_PORTANY)
@@ -325,16 +311,15 @@
                 if (error == E_OK) {
 
-			/* UDP éä¿¡ç«¯ç¹çææ
-å ±ãã³ãã¼ããã*/
-			cep->cepatr        = pk_ccep->cepatr;			/* éä¿¡ç«¯ç¹å±æ§		*/
-			cep->myaddr.ipaddr = pk_ccep->myaddr.ipaddr;		/* èªåã®ã¢ãã¬ã¹	*/
-			cep->callback      = (void*)pk_ccep->callback;		/* ã³ã¼ã«ããã¯		*/
-
-			/* UDP éä¿¡ç«¯ç¹ãçææ¸ã¿ã«ããã*/
+			/* UDP 通信端点生成情報をコピーする。*/
+			cep->cepatr        = pk_ccep->cepatr;			/* 通信端点属性		*/
+			cep->myaddr.ipaddr = pk_ccep->myaddr.ipaddr;		/* 自分のアドレス	*/
+			cep->callback      = (void*)pk_ccep->callback;		/* コールバック		*/
+
+			/* UDP 通信端点を生成済みにする。*/
 			cep->flags |= UDP_CEP_FLG_VALID;
 			}
 		}
 
-	/* éä¿¡ç«¯ç¹ã®ã­ãã¯ãè§£é¤ããã*/
+	/* 通信端点のロックを解除する。*/
 	syscall(sig_sem(cep->semid_lock));
 
@@ -347,7 +332,7 @@
 
 /*
- *  udp_delete_cep -- UDP éä¿¡ç«¯ç¹ãåé¤ããã
- *
- *    udp_del_cep ããå¼åºãããã¡ã¤ã³é¢æ°
+ *  udp_delete_cep -- UDP 通信端点を削除する。
+ *
+ *    udp_del_cep から呼出されるメイン関数
  */
 
@@ -357,18 +342,18 @@
 	ER	error;
 
-	/* UDP éä¿¡ç«¯ç¹ããã§ãã¯ããã*/
+	/* UDP 通信端点をチェックする。*/
 	if (!VALID_UDP_CEP(cep))
 		return E_NOEXS;
 
-	/* UDP éä¿¡ç«¯ç¹ããåççæç¨ã§ãªããã°ã¨ã©ã¼ */
+	/* UDP 通信端点が、動的生成用でなければエラー */
 	if (!DYNAMIC_UDP_CEP(cep))
 		return E_ID;
 
-	/* éä¿¡ç«¯ç¹ãã­ãã¯ããã*/
+	/* 通信端点をロックする。*/
 	syscall(wai_sem(cep->semid_lock));
 
 	/*
-	 * UDP éä¿¡ç«¯ç¹ããã§ãã¯ãããæªçæã®å ´åã¯ã¨ã©ã¼
-	 * ã»æªçæã
+	 * UDP 通信端点をチェックする。未生成の場合はエラー
+	 * ・未生成。
 	 */
 	if (!VALID_UDP_CEP(cep))
@@ -378,10 +363,10 @@
 		UDP_CAN_RCV(cep, E_DLT);
 
-		/* UDP éä¿¡ç«¯ç¹ãæªçæã«ããã*/
+		/* UDP 通信端点を未生成にする。*/
 		cep->flags &= ~UDP_CEP_FLG_VALID;
 		error = E_OK;
 		}
 
-	/* éä¿¡ç«¯ç¹ã®ã­ãã¯ãè§£é¤ããã*/
+	/* 通信端点のロックを解除する。*/
 	syscall(sig_sem(cep->semid_lock));
 
@@ -390,5 +375,5 @@
 
 /*
- *  udp_del_cep -- UDP éä¿¡ç«¯ç¹ã®åé¤ãæ¡å¼µæ©è½ã
+ *  udp_del_cep -- UDP 通信端点の削除【拡張機能】
  */
 
@@ -398,12 +383,12 @@
 	T_UDP_CEP	*cep;
 
-	/* UDP éä¿¡ç«¯ç¹ ID ããã§ãã¯ããã*/
+	/* UDP 通信端点 ID をチェックする。*/
 	if (!VALID_UDP_CEPID(cepid))
 		return E_ID;
 
-	/* UDP éä¿¡ç«¯ç¹ãå¾ãã*/
+	/* UDP 通信端点を得る。*/
 	cep = GET_UDP_CEP(cepid);
 
-	/* ã¡ã¤ã³é¢æ°ãå¼ã³åºãã*/
+	/* メイン関数を呼び出す。*/
 	return UDP_DELETE_CEP(cep);
 	}
@@ -414,7 +399,7 @@
 
 /*
- *  udp_set_option -- UDP éä¿¡ç«¯ç¹ãªãã·ã§ã³ãè¨­å®ããã
- *
- *    udp_set_opt ããå¼åºãããã¡ã¤ã³é¢æ°
+ *  udp_set_option -- UDP 通信端点オプションを設定する。
+ *
+ *    udp_set_opt から呼出されるメイン関数
  */
 
@@ -422,5 +407,5 @@
 UDP_SET_OPTION (T_UDP_CEP *cep, int_t optname, void *optval, int_t optlen)
 {
-	/* UDP éä¿¡ç«¯ç¹ããã§ãã¯ããã*/
+	/* UDP 通信端点をチェックする。*/
 	if (!VALID_UDP_CEP(cep))
 		return E_NOEXS;
@@ -430,7 +415,7 @@
 
 /*
- *  udp_set_opt -- UDP éä¿¡ç«¯ç¹ãªãã·ã§ã³ã®è¨­å®ãæ¡å¼µæ©è½ã
- *
- *  æ³¨æ: è¨­å®å¯è½ãª UDP éä¿¡ç«¯ç¹ãªãã·ã§ã³ã¯ç¡ããããE_PAR ãè¿ãããã
+ *  udp_set_opt -- UDP 通信端点オプションの設定【拡張機能】
+ *
+ *  注意: 設定可能な UDP 通信端点オプションは無いため、E_PAR が返される。
  */
 
@@ -440,12 +425,12 @@
 	T_UDP_CEP	*cep;
 
-	/* UDP éä¿¡ç«¯ç¹ ID ããã§ãã¯ããã*/
+	/* UDP 通信端点 ID をチェックする。*/
 	if (!VALID_UDP_CEPID(cepid))
 		return E_ID;
 
-	/* UDP éä¿¡ç«¯ç¹ãå¾ãã*/
+	/* UDP 通信端点を得る。*/
 	cep = GET_UDP_CEP(cepid);
 
-	/* ã¡ã¤ã³é¢æ°ãå¼ã³åºãã*/
+	/* メイン関数を呼び出す。*/
 	return UDP_SET_OPTION(cep, optname, optval, optlen);
 	}
@@ -456,7 +441,7 @@
 
 /*
- *  udp_get_option -- UDP éä¿¡ç«¯ç¹ãªãã·ã§ã³ãç²å¾ããã
- *
- *    udp_get_opt ããå¼åºãããã¡ã¤ã³é¢æ°
+ *  udp_get_option -- UDP 通信端点オプションを獲得する。
+ *
+ *    udp_get_opt から呼出されるメイン関数
  */
 
@@ -464,5 +449,5 @@
 UDP_GET_OPTION (T_UDP_CEP *cep, int_t optname, void *optval, int_t optlen)
 {
-	/* UDP éä¿¡ç«¯ç¹ããã§ãã¯ããã*/
+	/* UDP 通信端点をチェックする。*/
 	if (!VALID_UDP_CEP(cep))
 		return E_NOEXS;
@@ -472,7 +457,7 @@
 
 /*
- *  udp_get_opt -- UDP éä¿¡ç«¯ç¹ãªãã·ã§ã³ã®ç²å¾ãæ¡å¼µæ©è½ã
- *
- *  æ³¨æ: è¨­å®å¯è½ãª UDP éä¿¡ç«¯ç¹ãªãã·ã§ã³ã¯ç¡ããããE_PAR ãè¿ãããã
+ *  udp_get_opt -- UDP 通信端点オプションの獲得【拡張機能】
+ *
+ *  注意: 設定可能な UDP 通信端点オプションは無いため、E_PAR が返される。
  */
 
@@ -482,12 +467,12 @@
 	T_UDP_CEP	*cep;
 
-	/* UDP éä¿¡ç«¯ç¹ ID ããã§ãã¯ããã*/
+	/* UDP 通信端点 ID をチェックする。*/
 	if (!VALID_UDP_CEPID(cepid))
 		return E_ID;
 
-	/* UDP éä¿¡ç«¯ç¹ãå¾ãã*/
+	/* UDP 通信端点を得る。*/
 	cep = GET_UDP_CEP(cepid);
 
-	/* ã¡ã¤ã³é¢æ°ãå¼ã³åºãã*/
+	/* メイン関数を呼び出す。*/
 	return UDP_GET_OPTION(cep, optname, optval, optlen);
 	}
@@ -504,5 +489,5 @@
 
 /*
- *  udp_can_snd -- ãã³ãã£ã³ã°ãã¦ããéä¿¡ã®ã­ã£ã³ã»ã«
+ *  udp_can_snd -- ペンディングしている送信のキャンセル
  */
 
@@ -510,11 +495,9 @@
 UDP_CAN_SND (T_UDP_CEP *cep, ER error)
 {
-	if (cep->snd_tskid != TA_NULL) {	/* éãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ãã³ãã£ã³ã°ä¸­ */
+	if (cep->snd_tskid != TA_NULL) {	/* 非ノンブロッキングコールでペンディング中 */
 
 #ifdef UDP_CFG_EXTENTIONS
 
-		/* å¾
-ã¡ä¸­ã«çºçããã¨ã©ã¼æ
-å ±ãè¨­å®ããã*/
+		/* 待ち中に発生したエラー情報を設定する。*/
 		cep->error = error;
 
@@ -524,5 +507,5 @@
 		cep->snd_tskid = TA_NULL;
 		}
-	else					/* ã©ã¡ãã§ããªããªããã³ãã£ã³ã°ãã¦ããªã */
+	else					/* どちらでもないならペンディングしていない */
 		error = EV_NOPND;
 
@@ -535,5 +518,5 @@
 
 /*
- *  udp_can_rcv -- ãã³ãã£ã³ã°ãã¦ããåä¿¡ã®ã­ã£ã³ã»ã«
+ *  udp_can_rcv -- ペンディングしている受信のキャンセル
  */
 
@@ -541,11 +524,9 @@
 UDP_CAN_RCV (T_UDP_CEP *cep, ER error)
 {
-	if (cep->rcv_tskid != TA_NULL) {	/* éãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ãã³ãã£ã³ã°ä¸­ */
+	if (cep->rcv_tskid != TA_NULL) {	/* 非ノンブロッキングコールでペンディング中 */
 
 #ifdef UDP_CFG_EXTENTIONS
 
-		/* å¾
-ã¡ä¸­ã«çºçããã¨ã©ã¼æ
-å ±ãè¨­å®ããã*/
+		/* 待ち中に発生したエラー情報を設定する。*/
 		cep->error = error;
 
@@ -555,5 +536,5 @@
 		cep->rcv_tskid = TA_NULL;
 		}
-	else					/* ã©ã¡ãã§ããªããªããã³ãã£ã³ã°ãã¦ããªã */
+	else					/* どちらでもないならペンディングしていない */
 		error = EV_NOPND;
 
@@ -566,5 +547,5 @@
 
 /*
- *  udp_snd_dat -- ãã±ããã®éä¿¡ãæ¨æºæ©è½ã
+ *  udp_snd_dat -- パケットの送信【標準機能】
  */
 
@@ -575,9 +556,9 @@
 	ER		error;
 
-	/* p_dstaddr ã¾ãã¯ data ã NULL ããtmout ã TMO_NBLK ãªãã¨ã©ã¼ */
+	/* p_dstaddr または data が NULL か、tmout が TMO_NBLK ならエラー */
 	if (p_dstaddr == NULL || data == NULL || tmout == TMO_NBLK)
 		return E_PAR;
 
-	/* ãã¼ã¿é·ããã§ãã¯ããã*/
+	/* データ長をチェックする。*/
 	if (len < 0 || len + IP_HDR_SIZE + UDP_HDR_SIZE > IF_MTU)
 		return E_PAR;
@@ -586,6 +567,6 @@
 
 	/*
-	 * API ã IPv6 ã§ IPv4 å°å½±ã¢ãã¬ã¹ãèªãããã¦ããªãã®ã«ããããããã
-	 * IPv4 å°å½±ã¢ãã¬ã¹ãæå®ããããã¨ã©ã¼
+	 * API が IPv6 で IPv4 射影アドレスが認められていないのにもかかわらず、
+	 * IPv4 射影アドレスが指定されたらエラー
 	 */
 	if (in6_is_addr_ipv4mapped(&p_dstaddr->ipaddr))
@@ -594,17 +575,17 @@
 #endif	/* of #if (API_PROTO == API_PROTO_IPV6) && !defined(DAPI_CFG_IP4MAPPED_ADDR) */
 
-	/* UDP éä¿¡ç«¯ç¹ ID ããã§ãã¯ããã*/
+	/* UDP 通信端点 ID をチェックする。*/
 	if (!VALID_UDP_CEPID(cepid))
 		return E_ID;
 
-	/* UDP éä¿¡ç«¯ç¹ãå¾ãã*/
+	/* UDP 通信端点を得る。*/
 	cep = GET_UDP_CEP(cepid);
 
-	/* UDP éä¿¡ç«¯ç¹ããã§ãã¯ããã*/
+	/* UDP 通信端点をチェックする。*/
 	if (!VALID_UDP_CEP(cep))
 		return E_NOEXS;
 
 	/*
-	 *  èªãã¼ãçªå·ã UDP_PORTANY ãªããèªåã§å²ãå½ã¦ãã
+	 *  自ポート番号が UDP_PORTANY なら、自動で割り当てる。
 	 */
 	if (cep->myaddr.portno == UDP_PORTANY) {
@@ -613,39 +594,35 @@
 		}
 	
-	/* éä¿¡ç«¯ç¹ãã­ãã¯ããã*/
+	/* 通信端点をロックする。*/
 	syscall(wai_sem(cep->semid_lock));
 
 	if (cep->snd_tskid != TA_NULL) {
 
-		/* éãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ãã³ãã£ã³ã°ä¸­ */
+		/* 非ノンブロッキングコールでペンディング中 */
 		error = E_QOVR;
 
-		/* éä¿¡ç«¯ç¹ãã­ãã¯ãè§£é¤ããã*/
+		/* 通信端点をロックを解除する。*/
 		syscall(sig_sem(cep->semid_lock));
 		}
 	else {
-		/* ç¾å¨ã®ã¿ã¹ã¯è­å¥å­ãè¨é²ããã*/
+		/* 現在のタスク識別子を記録する。*/
 		get_tid(&(cep->snd_tskid));
 
 #ifdef UDP_CFG_EXTENTIONS
 
-		/* å¾
-ã¡ä¸­ã«çºçããã¨ã©ã¼æ
-å ±ããªã»ããããã*/
+		/* 待ち中に発生したエラー情報をリセットする。*/
 		cep->error = E_OK;
 
 #endif	/* of #ifdef UDP_CFG_EXTENTIONS */
 
-		/* éä¿¡ç«¯ç¹ãã­ãã¯ãè§£é¤ããã*/
+		/* 通信端点をロックを解除する。*/
 		syscall(sig_sem(cep->semid_lock));
 
-		/* ãã±ãããéä¿¡ããã*/
+		/* パケットを送信する。*/
 		error = UDP_SEND_DATA(cep, p_dstaddr, data, len, tmout);
 
 #ifdef UDP_CFG_EXTENTIONS
 
-		/* å¾
-ã¡ä¸­ã«çºçããã¨ã©ã¼æ
-å ±ãè¿ãã*/
+		/* 待ち中に発生したエラー情報を返す。*/
 		if (error == E_RLWAI)
 			error = cep->error;
@@ -662,5 +639,5 @@
 
 /*
- *  udp_rcv_dat -- ãã±ããã®åä¿¡ãæ¨æºæ©è½ã
+ *  udp_rcv_dat -- パケットの受信【標準機能】
  */
 
@@ -674,57 +651,52 @@
 	uint_t		ulen, uhoff;
 
-	/* p_dstaddr ã¾ãã¯ data ã NULL ãlen < 0 ããtmout ã TMO_NBLK ãªãã¨ã©ã¼ */
+	/* p_dstaddr または data が NULL 、len < 0 か、tmout が TMO_NBLK ならエラー */
 	if (p_dstaddr == NULL || data == NULL || len < 0 || tmout == TMO_NBLK)
 		return E_PAR;
 
-	/* UDP éä¿¡ç«¯ç¹ ID ããã§ãã¯ããã*/
+	/* UDP 通信端点 ID をチェックする。*/
 	if (!VALID_UDP_CEPID(cepid))
 		return E_ID;
 
-	/* UDP éä¿¡ç«¯ç¹ãå¾ãã*/
+	/* UDP 通信端点を得る。*/
 	cep = GET_UDP_CEP(cepid);
 
-	/* UDP éä¿¡ç«¯ç¹ããã§ãã¯ããã*/
+	/* UDP 通信端点をチェックする。*/
 	if (!VALID_UDP_CEP(cep))
 		return E_NOEXS;
 
-	/* éä¿¡ç«¯ç¹ãã­ãã¯ããã*/
+	/* 通信端点をロックする。*/
 	syscall(wai_sem(cep->semid_lock));
 
 	if (cep->rcv_tskid != TA_NULL) {
 
-		/* éãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ãã³ãã£ã³ã°ä¸­ */
+		/* 非ノンブロッキングコールでペンディング中 */
 		error = E_QOVR;
 
-		/* éä¿¡ç«¯ç¹ãã­ãã¯ãè§£é¤ããã*/
+		/* 通信端点をロックを解除する。*/
 		syscall(sig_sem(cep->semid_lock));
 		}
 	else {
 
-		/* ç¾å¨ã®ã¿ã¹ã¯è­å¥å­ãè¨é²ããã*/
+		/* 現在のタスク識別子を記録する。*/
 		get_tid(&(cep->rcv_tskid));
 
 #ifdef UDP_CFG_EXTENTIONS
 
-		/* å¾
-ã¡ä¸­ã«çºçããã¨ã©ã¼æ
-å ±ããªã»ããããã*/
+		/* 待ち中に発生したエラー情報をリセットする。*/
 		cep->error = E_OK;
 
 #endif	/* of #ifdef UDP_CFG_EXTENTIONS */
 
-		/* éä¿¡ç«¯ç¹ãã­ãã¯ãè§£é¤ããã*/
+		/* 通信端点をロックを解除する。*/
 		syscall(sig_sem(cep->semid_lock));
 
-		/* å
-¥åãããã¾ã§å¾
-ã¤ã*/
+		/* 入力があるまで待つ。*/
 		if (cep->cb_netbuf != NULL) {
 
 			/*
-			 *  ããã«ããå ´åã¯ãã³ã¼ã«ããã¯é¢æ°ã®ä¸­ãã
-			 *  udp_rcv_dat ãå¼ã³åºãã¦ãããã¨ã«ãªãã
-			 *  ãã§ã«å
-¥åæ¸ã¿ã§ããã
+			 *  ここにくる場合は、コールバック関数の中から
+			 *  udp_rcv_dat を呼び出していることになり、
+			 *  すでに入力済みである。
 			 */
 			input = cep->cb_netbuf;
@@ -735,7 +707,5 @@
 #ifdef UDP_CFG_EXTENTIONS
 
-			/* å¾
-ã¡ä¸­ã«çºçããã¨ã©ã¼æ
-å ±ãè¿ãã*/
+			/* 待ち中に発生したエラー情報を返す。*/
 			if (error == E_RLWAI)
 				error = cep->error;
@@ -747,5 +717,5 @@
 			}
 
-		/* p_dstaddr ãè¨­å®ããã*/
+		/* p_dstaddr を設定する。*/
 		uhoff = (uint_t)GET_UDP_HDR_OFFSET(input);
 		udph = GET_UDP_HDR(input, uhoff);
@@ -753,5 +723,5 @@
 		IN_COPY_TO_HOST(&p_dstaddr->ipaddr, input);
 
-		/* ãã¼ã¿ããããã¡ã«ç§»ãã*/
+		/* データをバッファに移す。*/
 		ulen = ntohs(udph->ulen);
 		if (ulen - UDP_HDR_SIZE > len)
Index: rubycfg_asp/trunk/asp_dcre/tinet/netinet/udpn_usrreq_nblk.c
===================================================================
--- rubycfg_asp/trunk/asp_dcre/tinet/netinet/udpn_usrreq_nblk.c	(revision 314)
+++ rubycfg_asp/trunk/asp_dcre/tinet/netinet/udpn_usrreq_nblk.c	(revision 315)
@@ -5,39 +5,27 @@
  *                   Tomakomai National College of Technology, JAPAN
  *
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã® (1)ï½(4) ã®æ¡ä»¶ãï¼Free Software Foundation 
- *  ã«ãã£ã¦å
-¬è¡¨ããã¦ãã GNU General Public License ã® Version 2 ã«è¨
- *  è¿°ããã¦ããæ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§ã¢ï¼æ¬ã½ããã¦ã§ã¢
- *  ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼
- *  å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®æ¡ä»¶ãæºãããã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の (1)～(4) の条件か，Free Software Foundation 
+ *  によって公表されている GNU General Public License の Version 2 に記
+ *  述されている条件を満たす場合に限り，本ソフトウェア（本ソフトウェア
+ *  を改変したものを含む．以下同じ）を使用・複製・改変・再配布（以下，
+ *  利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次の条件を満たすこと．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
  *
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ãã®é©ç¨å¯è½æ§ã
- *  å«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´
- *  æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ãã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，その適用可能性も
+ *  含めて，いかなる保証も行わない．また，本ソフトウェアの利用により直
+ *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
  *  @(#) $Id$
@@ -83,5 +71,5 @@
 
 /*
- *  udp_can_snd -- ãã³ãã£ã³ã°ãã¦ããéä¿¡ã®ã­ã£ã³ã»ã«
+ *  udp_can_snd -- ペンディングしている送信のキャンセル
  */
 
@@ -89,5 +77,5 @@
 UDP_CAN_SND (T_UDP_CEP *cep, ER error)
 {
-	if (cep->snd_p_dstaddr != NULL) {	/* ãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ãã³ãã£ã³ã°ä¸­ */
+	if (cep->snd_p_dstaddr != NULL) {	/* ノンブロッキングコールでペンディング中 */
 		if (IS_PTR_DEFINED(cep->callback))
 
@@ -101,11 +89,9 @@
 		cep->snd_p_dstaddr = NULL;
 		}
-	else if (cep->snd_tskid != TA_NULL) {	/* éãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ãã³ãã£ã³ã°ä¸­ */
+	else if (cep->snd_tskid != TA_NULL) {	/* 非ノンブロッキングコールでペンディング中 */
 
 #ifdef UDP_CFG_EXTENTIONS
 
-		/* å¾
-ã¡ä¸­ã«çºçããã¨ã©ã¼æ
-å ±ãè¨­å®ããã*/
+		/* 待ち中に発生したエラー情報を設定する。*/
 		cep->error = error;
 
@@ -115,5 +101,5 @@
 		cep->snd_tskid = TA_NULL;
 		}
-	else					/* ã©ã¡ãã§ããªããªããã³ãã£ã³ã°ãã¦ããªã */
+	else					/* どちらでもないならペンディングしていない */
 		error = EV_NOPND;
 
@@ -126,5 +112,5 @@
 
 /*
- *  udp_can_rcv -- ãã³ãã£ã³ã°ãã¦ããåä¿¡ã®ã­ã£ã³ã»ã«
+ *  udp_can_rcv -- ペンディングしている受信のキャンセル
  */
 
@@ -132,5 +118,5 @@
 UDP_CAN_RCV (T_UDP_CEP *cep, ER error)
 {
-	if (cep->rcv_p_dstaddr != NULL) {	/* ãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ãã³ãã£ã³ã°ä¸­ */
+	if (cep->rcv_p_dstaddr != NULL) {	/* ノンブロッキングコールでペンディング中 */
 		if (IS_PTR_DEFINED(cep->callback))
 
@@ -144,11 +130,9 @@
 		cep->rcv_p_dstaddr = NULL;
 		}
-	else if (cep->rcv_tskid != TA_NULL) {	/* éãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ãã³ãã£ã³ã°ä¸­ */
+	else if (cep->rcv_tskid != TA_NULL) {	/* 非ノンブロッキングコールでペンディング中 */
 
 #ifdef UDP_CFG_EXTENTIONS
 
-		/* å¾
-ã¡ä¸­ã«çºçããã¨ã©ã¼æ
-å ±ãè¨­å®ããã*/
+		/* 待ち中に発生したエラー情報を設定する。*/
 		cep->error = error;
 
@@ -158,5 +142,5 @@
 		cep->rcv_tskid = TA_NULL;
 		}
-	else					/* ã©ã¡ãã§ããªããªããã³ãã£ã³ã°ãã¦ããªã */
+	else					/* どちらでもないならペンディングしていない */
 		error = EV_NOPND;
 
@@ -169,5 +153,5 @@
 
 /*
- *  udp_snd_dat -- ãã±ããã®éä¿¡ãæ¨æºæ©è½ã
+ *  udp_snd_dat -- パケットの送信【標準機能】
  */
 
@@ -178,9 +162,9 @@
 	ER		error;
 
-	/* p_dstaddr ã¾ãã¯ data ã NULL ãªãã¨ã©ã¼ */
+	/* p_dstaddr または data が NULL ならエラー */
 	if (p_dstaddr == NULL || data == NULL)
 		return E_PAR;
 
-	/* ãã¼ã¿é·ããã§ãã¯ããã*/
+	/* データ長をチェックする。*/
 	if (len < 0 || len + IP_HDR_SIZE + UDP_HDR_SIZE > IF_MTU)
 		return E_PAR;
@@ -189,6 +173,6 @@
 
 	/*
-	 * API ã IPv6 ã§ IPv4 å°å½±ã¢ãã¬ã¹ãèªãããã¦ããªãã®ã«ããããããã
-	 * IPv4 å°å½±ã¢ãã¬ã¹ãæå®ããããã¨ã©ã¼
+	 * API が IPv6 で IPv4 射影アドレスが認められていないのにもかかわらず、
+	 * IPv4 射影アドレスが指定されたらエラー
 	 */
 	if (in6_is_addr_ipv4mapped(&p_dstaddr->ipaddr))
@@ -197,17 +181,17 @@
 #endif	/* of #if (API_PROTO == API_PROTO_IPV6) && !defined(DAPI_CFG_IP4MAPPED_ADDR) */
 
-	/* UDP éä¿¡ç«¯ç¹ ID ããã§ãã¯ããã*/
+	/* UDP 通信端点 ID をチェックする。*/
 	if (!VALID_UDP_CEPID(cepid))
 		return E_ID;
 
-	/* UDP éä¿¡ç«¯ç¹ãå¾ãã*/
+	/* UDP 通信端点を得る。*/
 	cep = GET_UDP_CEP(cepid);
 
-	/* UDP éä¿¡ç«¯ç¹ããã§ãã¯ããã*/
+	/* UDP 通信端点をチェックする。*/
 	if (!VALID_UDP_CEP(cep))
 		return E_NOEXS;
 
 	/*
-	 *  èªãã¼ãçªå·ã UDP_PORTANY ãªããèªåã§å²ãå½ã¦ãã
+	 *  自ポート番号が UDP_PORTANY なら、自動で割り当てる。
 	 */
 	if (cep->myaddr.portno == UDP_PORTANY) {
@@ -217,25 +201,25 @@
 
 	/*
-	 * ã¿ã¤ã ã¢ã¦ãããã§ãã¯ããã
+	 * タイムアウトをチェックする。
 	 */
-	if (tmout == TMO_NBLK) {	/* ãã³ãã­ãã­ã³ã°ã³ã¼ã« */
-
-		/* éä¿¡ç«¯ç¹ãã­ãã¯ããã*/
+	if (tmout == TMO_NBLK) {	/* ノンブロッキングコール */
+
+		/* 通信端点をロックする。*/
 		syscall(wai_sem(cep->semid_lock));
 
 		if (cep->snd_p_dstaddr != NULL) {
 
-			/* ãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ãã³ãã£ã³ã°ä¸­ */
+			/* ノンブロッキングコールでペンディング中 */
 			error = E_QOVR;
 
-			/* éä¿¡ç«¯ç¹ãã­ãã¯ãè§£é¤ããã*/
+			/* 通信端点をロックを解除する。*/
 			syscall(sig_sem(cep->semid_lock));
 			}
 		else if (cep->snd_tskid != TA_NULL) {
 
-			/* éãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ãã³ãã£ã³ã°ä¸­ */
-			error = E_OBJ;
-
-			/* éä¿¡ç«¯ç¹ãã­ãã¯ãè§£é¤ããã*/
+			/* 非ノンブロッキングコールでペンディング中 */
+			error = E_OBJ;
+
+			/* 通信端点をロックを解除する。*/
 			syscall(sig_sem(cep->semid_lock));
 			}
@@ -246,5 +230,5 @@
 			cep->snd_len	= len;
 
-			/* éä¿¡ç«¯ç¹ãã­ãã¯ãè§£é¤ããã*/
+			/* 通信端点をロックを解除する。*/
 			syscall(sig_sem(cep->semid_lock));
 
@@ -254,34 +238,34 @@
 			}
 		}
-	else {				/* éãã³ãã­ãã­ã³ã°ã³ã¼ã« */
+	else {				/* 非ノンブロッキングコール */
 	
-		/* éä¿¡ç«¯ç¹ãã­ãã¯ããã*/
+		/* 通信端点をロックする。*/
 		syscall(wai_sem(cep->semid_lock));
 
 		if (cep->snd_p_dstaddr != NULL) {
 
-			/* ãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ãã³ãã£ã³ã°ä¸­ */
-			error = E_OBJ;
-
-			/* éä¿¡ç«¯ç¹ãã­ãã¯ãè§£é¤ããã*/
+			/* ノンブロッキングコールでペンディング中 */
+			error = E_OBJ;
+
+			/* 通信端点をロックを解除する。*/
 			syscall(sig_sem(cep->semid_lock));
 			}
 		else if (cep->snd_tskid != TA_NULL) {
 
-			/* éãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ãã³ãã£ã³ã°ä¸­ */
+			/* 非ノンブロッキングコールでペンディング中 */
 			error = E_QOVR;
 
-			/* éä¿¡ç«¯ç¹ãã­ãã¯ãè§£é¤ããã*/
+			/* 通信端点をロックを解除する。*/
 			syscall(sig_sem(cep->semid_lock));
 			}
 		else {
 
-			/* ç¾å¨ã®ã¿ã¹ã¯è­å¥å­ãè¨é²ããã*/
+			/* 現在のタスク識別子を記録する。*/
 			get_tid(&(cep->snd_tskid));
 
-			/* éä¿¡ç«¯ç¹ãã­ãã¯ãè§£é¤ããã*/
-			syscall(sig_sem(cep->semid_lock));
-
-			/* ãã±ãããéä¿¡ããã*/
+			/* 通信端点をロックを解除する。*/
+			syscall(sig_sem(cep->semid_lock));
+
+			/* パケットを送信する。*/
 			error = UDP_SEND_DATA(cep, p_dstaddr, data, len, tmout);
 			}
@@ -296,5 +280,5 @@
 
 /*
- *  udp_rcv_dat -- ãã±ããã®åä¿¡ãæ¨æºæ©è½ã
+ *  udp_rcv_dat -- パケットの受信【標準機能】
  */
 
@@ -308,36 +292,36 @@
 	uint_t		ulen, uhoff;
 
-	/* p_dstaddr ã¾ãã¯ data ã NULL ããlen < 0 ãªãã¨ã©ã¼ */
+	/* p_dstaddr または data が NULL か、len < 0 ならエラー */
 	if (p_dstaddr == NULL || data == NULL || len < 0)
 		return E_PAR;
 
-	/* UDP éä¿¡ç«¯ç¹ ID ããã§ãã¯ããã*/
+	/* UDP 通信端点 ID をチェックする。*/
 	if (!VALID_UDP_CEPID(cepid))
 		return E_ID;
 
-	/* UDP éä¿¡ç«¯ç¹ãå¾ãã*/
+	/* UDP 通信端点を得る。*/
 	cep = GET_UDP_CEP(cepid);
 
-	/* UDP éä¿¡ç«¯ç¹ããã§ãã¯ããã*/
+	/* UDP 通信端点をチェックする。*/
 	if (!VALID_UDP_CEP(cep))
 		return E_NOEXS;
 
 	/*
-	 * ã¿ã¤ã ã¢ã¦ãããã§ãã¯ããã
+	 * タイムアウトをチェックする。
 	 */
 
-	if (tmout == TMO_NBLK) {	/* ãã³ãã­ãã­ã³ã°ã³ã¼ã« */
-
-		/* éä¿¡ç«¯ç¹ãã­ãã¯ããã*/
+	if (tmout == TMO_NBLK) {	/* ノンブロッキングコール */
+
+		/* 通信端点をロックする。*/
 		syscall(wai_sem(cep->semid_lock));
 
 		if (cep->rcv_p_dstaddr != NULL)
 
-			/* ãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ãã³ãã£ã³ã°ä¸­ */
+			/* ノンブロッキングコールでペンディング中 */
 			error = E_QOVR;
 
 		else if (cep->rcv_tskid != TA_NULL)
 
-			/* éãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ãã³ãã£ã³ã°ä¸­ */
+			/* 非ノンブロッキングコールでペンディング中 */
 			error = E_OBJ;
 		else {
@@ -348,47 +332,44 @@
 			}
 
-		/* éä¿¡ç«¯ç¹ãã­ãã¯ãè§£é¤ããã*/
+		/* 通信端点をロックを解除する。*/
 		syscall(sig_sem(cep->semid_lock));
 		return error;
 		}
-	else {				/* éãã³ãã­ãã­ã³ã°ã³ã¼ã« */
-
-		/* éä¿¡ç«¯ç¹ãã­ãã¯ããã*/
+	else {				/* 非ノンブロッキングコール */
+
+		/* 通信端点をロックする。*/
 		syscall(wai_sem(cep->semid_lock));
 
 		if (cep->rcv_p_dstaddr != NULL) {
 
-			/* ãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ãã³ãã£ã³ã°ä¸­ */
-			error = E_OBJ;
-
-			/* éä¿¡ç«¯ç¹ãã­ãã¯ãè§£é¤ããã*/
+			/* ノンブロッキングコールでペンディング中 */
+			error = E_OBJ;
+
+			/* 通信端点をロックを解除する。*/
 			syscall(sig_sem(cep->semid_lock));
 			}
 		else if (cep->rcv_tskid != TA_NULL) {
 
-			/* éãã³ãã­ãã­ã³ã°ã³ã¼ã«ã§ãã³ãã£ã³ã°ä¸­ */
+			/* 非ノンブロッキングコールでペンディング中 */
 			error = E_QOVR;
 
-			/* éä¿¡ç«¯ç¹ãã­ãã¯ãè§£é¤ããã*/
+			/* 通信端点をロックを解除する。*/
 			syscall(sig_sem(cep->semid_lock));
 			}
 		else {
 
-			/* ç¾å¨ã®ã¿ã¹ã¯è­å¥å­ãè¨é²ããã*/
+			/* 現在のタスク識別子を記録する。*/
 			get_tid(&(cep->rcv_tskid));
 
-			/* éä¿¡ç«¯ç¹ãã­ãã¯ãè§£é¤ããã*/
-			syscall(sig_sem(cep->semid_lock));
-
-			/* å
-¥åãããã¾ã§å¾
-ã¤ã*/
+			/* 通信端点をロックを解除する。*/
+			syscall(sig_sem(cep->semid_lock));
+
+			/* 入力があるまで待つ。*/
 			if (cep->cb_netbuf != NULL) {
 
 				/*
-				 *  ããã«ããå ´åã¯ãã³ã¼ã«ããã¯é¢æ°ã®ä¸­ãã
-				 *  udp_rcv_dat ãå¼ã³åºãã¦ãããã¨ã«ãªãã
-				 *  ãã§ã«å
-¥åæ¸ã¿ã§ããã
+				 *  ここにくる場合は、コールバック関数の中から
+				 *  udp_rcv_dat を呼び出していることになり、
+				 *  すでに入力済みである。
 				 */
 				input = cep->cb_netbuf;
@@ -400,5 +381,5 @@
 				}
 
-			/* p_dstaddr ãè¨­å®ããã*/
+			/* p_dstaddr を設定する。*/
 			uhoff = (uint_t)GET_UDP_HDR_OFFSET(input);
 			udph = GET_UDP_HDR(input, uhoff);
@@ -406,5 +387,5 @@
 			IN_COPY_TO_HOST(&p_dstaddr->ipaddr, input);
 
-			/* ãã¼ã¿ããããã¡ã«ç§»ãã*/
+			/* データをバッファに移す。*/
 			ulen = ntohs(udph->ulen);
 			if (ulen - UDP_HDR_SIZE > len)
